Skip to main content
Memory Fragments

Update Memory

Modify the content of an existing memory fragment

PATCH
/memory_nodes/{memory_node_id}
cURL
curl --request PATCH \
  --url 'https://dashscope.aliyuncs.com/api/v2/apps/memory/memory_nodes/{memory_node_id}' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "<string>",
  "custom_content": "<string>"
}
'
Modifies the content of an existing memory fragment. Specify the memory to update via memory_node_id.

Request parameters

ParameterTypeRequiredDescription
memory_node_idstringYesMemory node ID (path parameter)
user_idstringYesMemory entity ID
custom_contentstringNoUpdated memory content

Code examples

curl -X PATCH "https://dashscope.aliyuncs.com/api/v2/apps/memory/memory_nodes/{memory_node_id}" \
  --header "Authorization: Bearer $DASHSCOPE_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
    "user_id": "user_001",
    "custom_content": "还要提醒我上午10点吃药。"
  }'
To delete a memory, use DeleteMemory.

Authorizations

string
header
required

Path Parameters

string
required

记忆节点 ID

Body

application/json
string
required

记忆实体 ID

string

更新后的记忆内容

Response

200-成功

成功

Overview
Managed Agent API
Sandbox API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview